org.etsi.uri._01903.v1_3

## Class SignatureProductionPlace

- java.lang.Object
- - org.etsi.uri._01903.v1_3.SignatureProductionPlace

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class SignatureProductionPlace
      extends Object
      implements Serializable

  Java class for SignatureProductionPlaceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignatureProductionPlaceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="City" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="StateOrProvince" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="PostalCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="CountryName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureProductionPlace()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCity()` Gets the value of the city property.
    `String` | `getCountryName()` Gets the value of the countryName property.
    `String` | `getPostalCode()` Gets the value of the postalCode property.
    `String` | `getStateOrProvince()` Gets the value of the stateOrProvince property.
    `void` | `setCity(String value)` Sets the value of the city property.
    `void` | `setCountryName(String value)` Sets the value of the countryName property.
    `void` | `setPostalCode(String value)` Sets the value of the postalCode property.
    `void` | `setStateOrProvince(String value)` Sets the value of the stateOrProvince property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureProductionPlace

          public SignatureProductionPlace()

  - ### Method Detail

    - #### getCity

          public String getCity()

      Gets the value of the city property.
      Returns:
        possible object is `String`

    - #### setCity

          public void setCity(String value)

      Sets the value of the city property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStateOrProvince

          public String getStateOrProvince()

      Gets the value of the stateOrProvince property.
      Returns:
        possible object is `String`

    - #### setStateOrProvince

          public void setStateOrProvince(String value)

      Sets the value of the stateOrProvince property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPostalCode

          public String getPostalCode()

      Gets the value of the postalCode property.
      Returns:
        possible object is `String`

    - #### setPostalCode

          public void setPostalCode(String value)

      Sets the value of the postalCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCountryName

          public String getCountryName()

      Gets the value of the countryName property.
      Returns:
        possible object is `String`

    - #### setCountryName

          public void setCountryName(String value)

      Sets the value of the countryName property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.